This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 372001 - ambigous error message
ambigous error message
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 20:23 EST by Marco Grigull
Modified: 2009-12-14 16:17 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2008-0371
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:45:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
5.2 virtinst validation overhaul which fixes this issue (17.88 KB, application/octet-stream)
2008-01-03 17:29 EST, Cole Robinson
no flags Details

  None (edit)
Description Marco Grigull 2007-11-08 20:23:15 EST
Description of problem:
ambigous error message when creating a new virtual machine

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. select a "non-valid" source location e.g.
nfs:engineering.brisbane.redhat.com:/mnt/redhat/fedora/linux/releases/8/Fedora/i386/iso/Fedora-8-i386-DVD.iso
2. select a valid location for the 'storage space'
3.
  
Actual results:
Unable to complete install 'exceptions.RuntimeError Invalid install location
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 681, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 647, in
start_install
    tmpfiles = self._prepare_install_location(meter)
  File "/usr/lib/python2.4/site-packages/virtinst/ParaVirtGuest.py", line 65, in
_prepare_install_location
    (kernelfn,initrdfn,args) = DistroManager.acquireKernel(self.location, meter,
scratchdir=self.scratchdir, type=self.type)
  File "/usr/lib/python2.4/site-packages/virtinst/DistroManager.py", line 566,
in acquireKernel
    raise RuntimeError, "Invalid install location"
RuntimeError: Invalid install location
'

Expected results:
"invalid source media specification" or something allong those lines to
distinguish it from 'storage space" specification

Additional info:
found it was the source media spefication by creating a virtual machine which
did have a valid source.
Comment 1 Marco Grigull 2007-11-08 20:41:32 EST
compare with:
install source set to:
nfs:engineering.brisbane.redhat.com:/mnt/redhat/fedora/linux/releases/8/Everything/

yeilding error message of:
Unable to complete install 'exceptions.RuntimeError Could not find an
installable distribution the install location
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 681, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 647, in
start_install
    tmpfiles = self._prepare_install_location(meter)
  File "/usr/lib/python2.4/site-packages/virtinst/ParaVirtGuest.py", line 65, in
_prepare_install_location
    (kernelfn,initrdfn,args) = DistroManager.acquireKernel(self.location, meter,
scratchdir=self.scratchdir, type=self.type)
  File "/usr/lib/python2.4/site-packages/virtinst/DistroManager.py", line 570,
in acquireKernel
    progresscb=progresscb, distro=distro, scratchdir=scratchdir)
  File "/usr/lib/python2.4/site-packages/virtinst/DistroManager.py", line 559,
in _storeForDistro
    raise RuntimeError, "Could not find an installable distribution the install
location"
RuntimeError: Could not find an installable distribution the install location
'
Comment 2 Cole Robinson 2007-12-18 16:58:11 EST
I agree that the message is ambiguous, and actually I think the second message
needs some work too. How about in the first case (when virt-manager/virt-install
cannot even access the passed URI)

"Could not access the install path '%s'" where %s is the actual path entered.

And for the second case, where the passed path is an actual location but a valid
distro could not be found there:

"Could not find an installable distribution at '%s'" where %s is again the path
entered.

I think that should clear up the issues. Agreed?
Comment 4 RHEL Product and Program Management 2007-12-20 11:04:58 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Cole Robinson 2008-01-03 17:29:39 EST
Created attachment 290797 [details]
5.2 virtinst validation overhaul which fixes this issue
Comment 6 Bill Burns 2008-01-03 18:53:33 EST
Setting dec ack for Dan.
Comment 7 Cole Robinson 2008-01-07 15:43:41 EST
Committed and built.

* Fri Jan 04 2008 Cole Robinson <crobinso@redhat.com> - 0.103.0-6.el5
- Validation and error message fixes across the board.
- (rhbz #201948 #249424 #372001 #221542)

Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
python-virtinst-0.103.0-6.el5             dist-5E-qu-candidate  crobinso
Comment 10 errata-xmlrpc 2008-05-21 12:45:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0371.html

Note You need to log in before you can comment on or make changes to this bug.